# GameException Class Reference

`#include <GameException.h>`

List of all members.

## Public Member Functions
| GameException (const eErrorSeverity &severity, const std::string &str)
| GameException (const eErrorSeverity &severity, const char *str,...)
void | Output (std::ostream &stream)
std::string | GetDescription ()
unsigned long | GetTime ()
eErrorSeverity | GetSeverity ()
## Static Public Member Functions
static void | OutputLog (std::ostream &stream)
static bool | HasExceptionsToReport ()
## Protected Member Functions
std::string | ConvertSeverityToString (const eErrorSeverity &severity)
## Protected Attributes
std::string | m_str
unsigned long | m_time
eErrorSeverity | m_severity
## Static Protected Attributes
static unsigned int | m_sTotalErrors = 0
static std::vector< GameException > | m_svLog

## Detailed Description

Definition at line 16 of file GameException.h.

## Constructor & Destructor Documentation

GameException::GameException | ( | const eErrorSeverity & | severity,
|  | const std::string & | str |
| ) |  |  |

Definition at line 8 of file GameException.cpp.

GameException::GameException | ( | const eErrorSeverity & | severity,
|  | const char * | str,
|  |  | ... |
| ) |  |  |

Definition at line 16 of file GameException.cpp.

## Member Function Documentation

std::string GameException::ConvertSeverityToString | ( | const eErrorSeverity & | severity | ) | `[protected]`

Definition at line 63 of file GameException.cpp.

std::string GameException::GetDescription | ( |  | ) | `[inline]`

Definition at line 26 of file GameException.h.

eErrorSeverity GameException::GetSeverity | ( |  | ) | `[inline]`

Definition at line 28 of file GameException.h.

unsigned long GameException::GetTime | ( |  | ) | `[inline]`

Definition at line 27 of file GameException.h.

static bool GameException::HasExceptionsToReport | ( |  | ) | `[inline, static]`

Definition at line 24 of file GameException.h.

void GameException::Output | ( | std::ostream & | stream | ) |

Definition at line 42 of file GameException.cpp.

void GameException::OutputLog | ( | std::ostream & | stream | ) | `[static]`

Definition at line 49 of file GameException.cpp.

## Member Data Documentation

eErrorSeverity GameException::m_severity`[protected]`

Definition at line 34 of file GameException.h.

unsigned int GameException::m_sTotalErrors = 0`[static, protected]`

Definition at line 35 of file GameException.h.

std::string GameException::m_str`[protected]`

Definition at line 32 of file GameException.h.

std::vector< GameException > GameException::m_svLog`[static, protected]`

Definition at line 36 of file GameException.h.

unsigned long GameException::m_time`[protected]`

Definition at line 33 of file GameException.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/GameException.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/GameException.cpp